Skip to main content
GET
/
connection-providers
/
{connection_provider_id}
Python
import os
from datagrid_ai import Datagrid

client = Datagrid(
    api_key=os.environ.get("DATAGRID_API_KEY"),  # This is the default and can be omitted
)
connection_provider = client.connection_providers.retrieve(
    "connection_provider_id",
)
print(connection_provider.id)
{
  "object": "connection_provider",
  "id": "<string>",
  "name": "<string>",
  "connector_id": "<string>",
  "client_id": "<string>",
  "client_secret_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connection_provider_id
string
required

The id of the connection provider to retrieve.

Response

200 - application/json

Successfully retrieved connection provider.

The ConnectionProvider object represents custom OAuth credentials for a connector. When creating a connection with a connection provider, the specified client ID and secret will be used instead of the default credentials.

object
enum<string>
required

The object type, which is always connection_provider.

Available options:
connection_provider
id
string
required

The connection provider identifier.

name
string
required

The name of the connection provider.

connector_id
string
required

The connector ID this provider is configured for.

client_id
string
required

The OAuth client ID to use for this connector.

client_secret_id
string
required

The ID of the secret containing the OAuth client secret to use for this connector.

created_at
string<date-time>
required

The date and time the connection provider was created.

updated_at
string<date-time>
required

The date and time the connection provider was last updated.